Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## griffon.transform
[Java] Annotation Type ResourcesAware

    java.lang.Object
      griffon.transform.ResourcesAware

    @Retention(RetentionPolicy.SOURCE)
    @Target(ElementType.TYPE)
    @GroovyASTTransformationClass("org.codehaus.griffon.ast.ResourcesAwareASTTransformation")
    public @interface ResourcesAware

Annotates a class.

When annotating a class it indicates that it will be able to locate resozrces using Griffon's standard resource loading mechanism.

The following methods will be added to classes annotated with @ResourcesAware

- `public URL getResourceAsURL(java.lang.String)`
  returns the resource URL if found
- `public URL getResourceAsStream(java.lang.String)`
  opens a stream to the resource if found
- `public List>URL< getResources(java.lang.String)`
  returns all matching resources for the specified name

Authors:
  Andres Almiray

See Also:
  org.codehaus.griffon.ast.ResourcesAwareASTTransformation

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Groovy Documentation